<?php
/* QuickCal Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('snowmountain_quickcal_theme_setup9')) {
	add_action( 'after_setup_theme', 'snowmountain_quickcal_theme_setup9', 9 );
	function snowmountain_quickcal_theme_setup9() {
		if (snowmountain_exists_quickcal()) {
			add_action( 'wp_enqueue_scripts', 							'snowmountain_quickcal_frontend_scripts', 1100 );
			add_filter( 'snowmountain_filter_merge_styles',					'snowmountain_quickcal_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'snowmountain_filter_tgmpa_required_plugins',		'snowmountain_quickcal_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'snowmountain_exists_quickcal' ) ) {
	function snowmountain_exists_quickcal() {
		return class_exists('quickcal_plugin');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'snowmountain_quickcal_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('snowmountain_filter_tgmpa_required_plugins',	'snowmountain_quickcal_tgmpa_required_plugins');
	function snowmountain_quickcal_tgmpa_required_plugins($list=array()) {
		if (false && in_array('quickcal', snowmountain_storage_get('required_plugins'))) {
			$list[] = array(
					'name' 		=> esc_html__('QuickCal Appointments', 'snowmountain'),
					'slug' 		=> 'quickcal',
					'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'snowmountain_quickcal_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'snowmountain_quickcal_frontend_scripts', 1100 );
	function snowmountain_quickcal_frontend_scripts() {
		if (snowmountain_is_on(snowmountain_get_theme_option('debug_mode')) && snowmountain_get_file_dir('plugins/quickcal/quickcal.css')!='')
			wp_enqueue_style( 'snowmountain-quickcal',  snowmountain_get_file_url('plugins/quickcal/quickcal.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'snowmountain_quickcal_merge_styles' ) ) {
	//Handler of the add_filter('snowmountain_filter_merge_styles', 'snowmountain_quickcal_merge_styles');
	function snowmountain_quickcal_merge_styles($list) {
		$list[] = 'plugins/quickcal/quickcal.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (snowmountain_exists_quickcal()) { require_once SNOWMOUNTAIN_THEME_DIR . 'plugins/quickcal/quickcal.styles.php'; }
?>