<?php
if (!class_exists('VC_Extensions_CQButton')) {

    class VC_Extensions_CQButton {
        function __construct() {
          vc_map( array(
            "name" => esc_attr__("Animate Button 01", 'vc_cqbutton_cq'),
            "base" => "cq_vc_cqbutton",
            "class" => "wpb_cq_vc_extension_button01",
            "controls" => "full",
            "icon" => "cq_allinone_button01",
            "category" => esc_attr__('Sike Extensions', 'js_composer'),
            'description' => esc_attr__( 'Eye catching button', 'js_composer' ),
            "params" => array(
              array(
                'type' => 'vc_link',
                'heading' => esc_attr__( 'URL (Link)', 'vc_cqbutton_cq' ),
                'param_name' => 'link',
                'description' => esc_attr__( 'Button link.', 'vc_cqbutton_cq' )
              ),
              array(
                "type" => "textfield",
                "heading" => esc_attr__("Text on the button:", "vc_cqbutton_cq"),
                "param_name" => "buttonlabel",
                "value" => "Button Text",
                "description" => esc_attr__("Leave it to be blank if you want to use the original image.", "vc_cqbutton_cq")
              ),
              array(
                  "type" => "dropdown",
                  "heading" => esc_attr__("Icon", "vc_cqbutton_cq"),
                  "param_name" => "icon",
                  "description" => esc_attr__('Select the icon', 'vc_cqbutton_cq'),
                  "std" => "arrow-right",
                  "value" => array( esc_attr__("angellist", "vc_animationfw_cq") => "angellist", esc_attr__("area-chart", "vc_animationfw_cq") => "area-chart", esc_attr__("at", "vc_animationfw_cq") => "at", esc_attr__("bell-slash", "vc_animationfw_cq") => "bell-slash", esc_attr__("bell-slash-o", "vc_animationfw_cq") => "bell-slash-o", esc_attr__("bicycle", "vc_animationfw_cq") => "bicycle", esc_attr__("binoculars", "vc_animationfw_cq") => "binoculars", esc_attr__("birthday-cake", "vc_animationfw_cq") => "birthday-cake", esc_attr__("bus", "vc_animationfw_cq") => "bus", esc_attr__("calculator", "vc_animationfw_cq") => "calculator", esc_attr__("cc", "vc_animationfw_cq") => "cc", esc_attr__("cc-amex", "vc_animationfw_cq") => "cc-amex", esc_attr__("cc-discover", "vc_animationfw_cq") => "cc-discover", esc_attr__("cc-mastercard", "vc_animationfw_cq") => "cc-mastercard", esc_attr__("cc-paypal", "vc_animationfw_cq") => "cc-paypal", esc_attr__("cc-stripe", "vc_animationfw_cq") => "cc-stripe", esc_attr__("cc-visa", "vc_animationfw_cq") => "cc-visa", esc_attr__("copyright", "vc_animationfw_cq") => "copyright", esc_attr__("eyedropper", "vc_animationfw_cq") => "eyedropper", esc_attr__("futbol-o", "vc_animationfw_cq") => "futbol-o", esc_attr__("google-wallet", "vc_animationfw_cq") => "google-wallet", esc_attr__("ils", "vc_animationfw_cq") => "ils", esc_attr__("ioxhost", "vc_animationfw_cq") => "ioxhost", esc_attr__("lastfm", "vc_animationfw_cq") => "lastfm", esc_attr__("lastfm-square", "vc_animationfw_cq") => "lastfm-square", esc_attr__("line-chart", "vc_animationfw_cq") => "line-chart", esc_attr__("meanpath", "vc_animationfw_cq") => "meanpath", esc_attr__("newspaper-o", "vc_animationfw_cq") => "newspaper-o", esc_attr__("paint-brush", "vc_animationfw_cq") => "paint-brush", esc_attr__("paypal", "vc_animationfw_cq") => "paypal", esc_attr__("pie-chart", "vc_animationfw_cq") => "pie-chart", esc_attr__("plug", "vc_animationfw_cq") => "plug", esc_attr__("shekel", "vc_animationfw_cq") => "shekel", esc_attr__("sheqel", "vc_animationfw_cq") => "sheqel", esc_attr__("slideshare", "vc_animationfw_cq") => "slideshare", esc_attr__("soccer-ball-o", "vc_animationfw_cq") => "soccer-ball-o", esc_attr__("toggle-off", "vc_animationfw_cq") => "toggle-off", esc_attr__("toggle-on", "vc_animationfw_cq") => "toggle-on", esc_attr__("trash", "vc_animationfw_cq") => "trash", esc_attr__("tty", "vc_animationfw_cq") => "tty", esc_attr__("twitch", "vc_animationfw_cq") => "twitch", esc_attr__("wifi", "vc_animationfw_cq") => "wifi", esc_attr__("yelp", "vc_animationfw_cq") => "yelp", esc_attr__("automobile", "vc_cqbutton_cq") => "automobile", esc_attr__("bank", "vc_cqbutton_cq") => "bank", esc_attr__("behance", "vc_cqbutton_cq") => "behance", esc_attr__("behance-square", "vc_cqbutton_cq") => "behance-square", esc_attr__("bomb", "vc_cqbutton_cq") => "bomb", esc_attr__("building", "vc_cqbutton_cq") => "building", esc_attr__("cab", "vc_cqbutton_cq") => "cab", esc_attr__("car", "vc_cqbutton_cq") => "car", esc_attr__("child", "vc_cqbutton_cq") => "child", esc_attr__("circle-o-notch", "vc_cqbutton_cq") => "circle-o-notch", esc_attr__("circle-thin", "vc_cqbutton_cq") => "circle-thin", esc_attr__("codepen", "vc_cqbutton_cq") => "codepen", esc_attr__("cube", "vc_cqbutton_cq") => "cube", esc_attr__("cubes", "vc_cqbutton_cq") => "cubes", esc_attr__("database", "vc_cqbutton_cq") => "database", esc_attr__("delicious", "vc_cqbutton_cq") => "delicious", esc_attr__("deviantart", "vc_cqbutton_cq") => "deviantart", esc_attr__("digg", "vc_cqbutton_cq") => "digg", esc_attr__("drupal", "vc_cqbutton_cq") => "drupal", esc_attr__("empire", "vc_cqbutton_cq") => "empire", esc_attr__("envelope-square", "vc_cqbutton_cq") => "envelope-square", esc_attr__("fax", "vc_cqbutton_cq") => "fax", esc_attr__("file-archive-o", "vc_cqbutton_cq") => "file-archive-o", esc_attr__("file-audio-o", "vc_cqbutton_cq") => "file-audio-o", esc_attr__("file-code-o", "vc_cqbutton_cq") => "file-code-o", esc_attr__("file-excel-o", "vc_cqbutton_cq") => "file-excel-o", esc_attr__("file-image-o", "vc_cqbutton_cq") => "file-image-o", esc_attr__("file-movie-o", "vc_cqbutton_cq") => "file-movie-o", esc_attr__("file-pdf-o", "vc_cqbutton_cq") => "file-pdf-o", esc_attr__("file-photo-o", "vc_cqbutton_cq") => "file-photo-o", esc_attr__("file-picture-o", "vc_cqbutton_cq") => "file-picture-o", esc_attr__("file-powerpoint-o", "vc_cqbutton_cq") => "file-powerpoint-o", esc_attr__("file-sound-o", "vc_cqbutton_cq") => "file-sound-o", esc_attr__("file-video-o", "vc_cqbutton_cq") => "file-video-o", esc_attr__("file-word-o", "vc_cqbutton_cq") => "file-word-o", esc_attr__("file-zip-o", "vc_cqbutton_cq") => "file-zip-o", esc_attr__("ge", "vc_cqbutton_cq") => "ge", esc_attr__("git", "vc_cqbutton_cq") => "git", esc_attr__("git-square", "vc_cqbutton_cq") => "git-square", esc_attr__("google", "vc_cqbutton_cq") => "google", esc_attr__("graduation-cap", "vc_cqbutton_cq") => "graduation-cap", esc_attr__("hacker-news", "vc_cqbutton_cq") => "hacker-news", esc_attr__("header", "vc_cqbutton_cq") => "header", esc_attr__("history", "vc_cqbutton_cq") => "history", esc_attr__("institution", "vc_cqbutton_cq") => "institution", esc_attr__("joomla", "vc_cqbutton_cq") => "joomla", esc_attr__("jsfiddle", "vc_cqbutton_cq") => "jsfiddle", esc_attr__("language", "vc_cqbutton_cq") => "language", esc_attr__("life-bouy", "vc_cqbutton_cq") => "life-bouy", esc_attr__("life-ring", "vc_cqbutton_cq") => "life-ring", esc_attr__("life-saver", "vc_cqbutton_cq") => "life-saver", esc_attr__("mortar-board", "vc_cqbutton_cq") => "mortar-board", esc_attr__("openid", "vc_cqbutton_cq") => "openid", esc_attr__("paper-plane", "vc_cqbutton_cq") => "paper-plane", esc_attr__("paper-plane-o", "vc_cqbutton_cq") => "paper-plane-o", esc_attr__("paragraph", "vc_cqbutton_cq") => "paragraph", esc_attr__("paw", "vc_cqbutton_cq") => "paw", esc_attr__("pied-piper", "vc_cqbutton_cq") => "pied-piper", esc_attr__("pied-piper-alt", "vc_cqbutton_cq") => "pied-piper-alt", esc_attr__("pied-piper-square", "vc_cqbutton_cq") => "pied-piper-square", esc_attr__("qq", "vc_cqbutton_cq") => "qq", esc_attr__("ra", "vc_cqbutton_cq") => "ra", esc_attr__("rebel", "vc_cqbutton_cq") => "rebel", esc_attr__("recycle", "vc_cqbutton_cq") => "recycle", esc_attr__("reddit", "vc_cqbutton_cq") => "reddit", esc_attr__("reddit-square", "vc_cqbutton_cq") => "reddit-square", esc_attr__("send", "vc_cqbutton_cq") => "send", esc_attr__("send-o", "vc_cqbutton_cq") => "send-o", esc_attr__("share-alt", "vc_cqbutton_cq") => "share-alt", esc_attr__("share-alt-square", "vc_cqbutton_cq") => "share-alt-square", esc_attr__("slack", "vc_cqbutton_cq") => "slack", esc_attr__("sliders", "vc_cqbutton_cq") => "sliders", esc_attr__("soundcloud", "vc_cqbutton_cq") => "soundcloud", esc_attr__("space-shuttle", "vc_cqbutton_cq") => "space-shuttle", esc_attr__("spoon", "vc_cqbutton_cq") => "spoon", esc_attr__("spotify", "vc_cqbutton_cq") => "spotify", esc_attr__("steam", "vc_cqbutton_cq") => "steam", esc_attr__("steam-square", "vc_cqbutton_cq") => "steam-square", esc_attr__("stumbleupon", "vc_cqbutton_cq") => "stumbleupon", esc_attr__("stumbleupon-circle", "vc_cqbutton_cq") => "stumbleupon-circle", esc_attr__("support", "vc_cqbutton_cq") => "support", esc_attr__("taxi", "vc_cqbutton_cq") => "taxi", esc_attr__("tencent-weibo", "vc_cqbutton_cq") => "tencent-weibo", esc_attr__("tree", "vc_cqbutton_cq") => "tree", esc_attr__("university", "vc_cqbutton_cq") => "university", esc_attr__("vine", "vc_cqbutton_cq") => "vine", esc_attr__("wechat", "vc_cqbutton_cq") => "wechat", esc_attr__("weixin", "vc_cqbutton_cq") => "weixin", esc_attr__("wordpress", "vc_cqbutton_cq") => "wordpress", esc_attr__("yahoo", "vc_cqbutton_cq") => "yahoo", esc_attr__("rub", "vc_cqbutton_cq") => 'rub', esc_attr__("ruble", "vc_cqbutton_cq") => 'ruble', esc_attr__("rouble", "vc_cqbutton_cq") => 'rouble', esc_attr__("pagelines", "vc_cqbutton_cq") => 'pagelines', esc_attr__("stack-exchange", "vc_cqbutton_cq") => 'stack-exchange', esc_attr__("arrow-circle-o-right", "vc_cqbutton_cq") => 'arrow-circle-o-right', esc_attr__("arrow-circle-o-left", "vc_cqbutton_cq") => 'arrow-circle-o-left', esc_attr__("caret-square-o-left", "vc_cqbutton_cq") => 'caret-square-o-left', esc_attr__("toggle-left", "vc_cqbutton_cq") => 'toggle-left', esc_attr__("dot-circle-o", "vc_cqbutton_cq") => 'dot-circle-o', esc_attr__("wheelchair", "vc_cqbutton_cq") => 'wheelchair', esc_attr__("vimeo-square", "vc_cqbutton_cq") => 'vimeo-square', esc_attr__("try", "vc_cqbutton_cq") => 'try', esc_attr__("turkish-lira", "vc_cqbutton_cq") => 'turkish-lira', esc_attr__("plus-square-o", "vc_cqbutton_cq") => 'plus-square-o', esc_attr__("adjust", "vc_cqbutton_cq") => 'adjust', esc_attr__("anchor", "vc_cqbutton_cq") => 'anchor', esc_attr__("archive", "vc_cqbutton_cq") => 'archive', esc_attr__("arrows", "vc_cqbutton_cq") => 'arrows', esc_attr__("arrows-h", "vc_cqbutton_cq") => 'arrows-h', esc_attr__("arrows-v", "vc_cqbutton_cq") => 'arrows-v', esc_attr__("asterisk", "vc_cqbutton_cq") => 'asterisk', esc_attr__("ban", "vc_cqbutton_cq") => 'ban', esc_attr__("bar-chart-o", "vc_cqbutton_cq") => 'bar-chart-o', esc_attr__("barcode", "vc_cqbutton_cq") => 'barcode', esc_attr__("bars", "vc_cqbutton_cq") => 'bars', esc_attr__("beer", "vc_cqbutton_cq") => 'beer', esc_attr__("bell", "vc_cqbutton_cq") => 'bell', esc_attr__("bell-o", "vc_cqbutton_cq") => 'bell-o', esc_attr__("bolt", "vc_cqbutton_cq") => 'bolt', esc_attr__("book", "vc_cqbutton_cq") => 'book', esc_attr__("bookmark", "vc_cqbutton_cq") => 'bookmark', esc_attr__("bookmark-o", "vc_cqbutton_cq") => 'bookmark-o', esc_attr__("briefcase", "vc_cqbutton_cq") => 'briefcase', esc_attr__("bug", "vc_cqbutton_cq") => 'bug', esc_attr__("building-o", "vc_cqbutton_cq") => 'building-o', esc_attr__("bullhorn", "vc_cqbutton_cq") => 'bullhorn', esc_attr__("bullseye", "vc_cqbutton_cq") => 'bullseye', esc_attr__("calendar", "vc_cqbutton_cq") => 'calendar', esc_attr__("calendar-o", "vc_cqbutton_cq") => 'calendar-o', esc_attr__("camera", "vc_cqbutton_cq") => 'camera', esc_attr__("camera-retro", "vc_cqbutton_cq") => 'camera-retro', esc_attr__("caret-square-o-down", "vc_cqbutton_cq") => 'caret-square-o-down', esc_attr__("caret-square-o-left", "vc_cqbutton_cq") => 'caret-square-o-left', esc_attr__("caret-square-o-right", "vc_cqbutton_cq") => 'caret-square-o-right', esc_attr__("caret-square-o-up", "vc_cqbutton_cq") => 'caret-square-o-up', esc_attr__("certificate", "vc_cqbutton_cq") => 'certificate', esc_attr__("check", "vc_cqbutton_cq") => 'check', esc_attr__("check-circle", "vc_cqbutton_cq") => 'check-circle', esc_attr__("check-circle-o", "vc_cqbutton_cq") => 'check-circle-o', esc_attr__("check-square", "vc_cqbutton_cq") => 'check-square', esc_attr__("check-square-o", "vc_cqbutton_cq") => 'check-square-o', esc_attr__("circle", "vc_cqbutton_cq") => 'circle', esc_attr__("circle-o", "vc_cqbutton_cq") => 'circle-o', esc_attr__("clock-o", "vc_cqbutton_cq") => 'clock-o', esc_attr__("cloud", "vc_cqbutton_cq") => 'cloud', esc_attr__("cloud-download", "vc_cqbutton_cq") => 'cloud-download', esc_attr__("cloud-upload", "vc_cqbutton_cq") => 'cloud-upload', esc_attr__("code", "vc_cqbutton_cq") => 'code', esc_attr__("code-fork", "vc_cqbutton_cq") => 'code-fork', esc_attr__("coffee", "vc_cqbutton_cq") => 'coffee', esc_attr__("cog", "vc_cqbutton_cq") => 'cog', esc_attr__("cogs", "vc_cqbutton_cq") => 'cogs', esc_attr__("comment", "vc_cqbutton_cq") => 'comment', esc_attr__("comment-o", "vc_cqbutton_cq") => 'comment-o', esc_attr__("comments", "vc_cqbutton_cq") => 'comments', esc_attr__("comments-o", "vc_cqbutton_cq") => 'comments-o', esc_attr__("compass", "vc_cqbutton_cq") => 'compass', esc_attr__("credit-card", "vc_cqbutton_cq") => 'credit-card', esc_attr__("crop", "vc_cqbutton_cq") => 'crop', esc_attr__("crosshairs", "vc_cqbutton_cq") => 'crosshairs', esc_attr__("cutlery", "vc_cqbutton_cq") => 'cutlery', esc_attr__("dashboard", "vc_cqbutton_cq") => 'dashboard', esc_attr__("desktop", "vc_cqbutton_cq") => 'desktop', esc_attr__("dot-circle-o", "vc_cqbutton_cq") => 'dot-circle-o', esc_attr__("download", "vc_cqbutton_cq") => 'download', esc_attr__("edit", "vc_cqbutton_cq") => 'edit', esc_attr__("ellipsis-h", "vc_cqbutton_cq") => 'ellipsis-h', esc_attr__("ellipsis-v", "vc_cqbutton_cq") => 'ellipsis-v', esc_attr__("envelope", "vc_cqbutton_cq") => 'envelope', esc_attr__("envelope-o", "vc_cqbutton_cq") => 'envelope-o', esc_attr__("eraser", "vc_cqbutton_cq") => 'eraser', esc_attr__("exchange", "vc_cqbutton_cq") => 'exchange', esc_attr__("exclamation", "vc_cqbutton_cq") => 'exclamation', esc_attr__("exclamation-circle", "vc_cqbutton_cq") => 'exclamation-circle', esc_attr__("exclamation-triangle", "vc_cqbutton_cq") => 'exclamation-triangle', esc_attr__("external-link", "vc_cqbutton_cq") => 'external-link', esc_attr__("external-link-square", "vc_cqbutton_cq") => 'external-link-square', esc_attr__("eye", "vc_cqbutton_cq") => 'eye', esc_attr__("eye-slash", "vc_cqbutton_cq") => 'eye-slash', esc_attr__("female", "vc_cqbutton_cq") => 'female', esc_attr__("fighter-jet", "vc_cqbutton_cq") => 'fighter-jet', esc_attr__("film", "vc_cqbutton_cq") => 'film', esc_attr__("filter", "vc_cqbutton_cq") => 'filter', esc_attr__("fire", "vc_cqbutton_cq") => 'fire', esc_attr__("fire-extinguisher", "vc_cqbutton_cq") => 'fire-extinguisher', esc_attr__("flag", "vc_cqbutton_cq") => 'flag', esc_attr__("flag-checkered", "vc_cqbutton_cq") => 'flag-checkered', esc_attr__("flag-o", "vc_cqbutton_cq") => 'flag-o', esc_attr__("flash", "vc_cqbutton_cq") => 'flash', esc_attr__("flask", "vc_cqbutton_cq") => 'flask', esc_attr__("folder", "vc_cqbutton_cq") => 'folder', esc_attr__("folder-o", "vc_cqbutton_cq") => 'folder-o', esc_attr__("folder-open", "vc_cqbutton_cq") => 'folder-open', esc_attr__("folder-open-o", "vc_cqbutton_cq") => 'folder-open-o', esc_attr__("frown-o", "vc_cqbutton_cq") => 'frown-o', esc_attr__("gamepad", "vc_cqbutton_cq") => 'gamepad', esc_attr__("gavel", "vc_cqbutton_cq") => 'gavel', esc_attr__("gear", "vc_cqbutton_cq") => 'gear', esc_attr__("gears", "vc_cqbutton_cq") => 'gears', esc_attr__("gift", "vc_cqbutton_cq") => 'gift', esc_attr__("glass", "vc_cqbutton_cq") => 'glass', esc_attr__("globe", "vc_cqbutton_cq") => 'globe', esc_attr__("group", "vc_cqbutton_cq") => 'group', esc_attr__("hdd-o", "vc_cqbutton_cq") => 'hdd-o', esc_attr__("headphones", "vc_cqbutton_cq") => 'headphones', esc_attr__("heart", "vc_cqbutton_cq") => 'heart', esc_attr__("heart-o", "vc_cqbutton_cq") => 'heart-o', esc_attr__("home", "vc_cqbutton_cq") => 'home', esc_attr__("inbox", "vc_cqbutton_cq") => 'inbox', esc_attr__("info", "vc_cqbutton_cq") => 'info', esc_attr__("info-circle", "vc_cqbutton_cq") => 'info-circle', esc_attr__("key", "vc_cqbutton_cq") => 'key', esc_attr__("keyboard-o", "vc_cqbutton_cq") => 'keyboard-o', esc_attr__("laptop", "vc_cqbutton_cq") => 'laptop', esc_attr__("leaf", "vc_cqbutton_cq") => 'leaf', esc_attr__("legal", "vc_cqbutton_cq") => 'legal', esc_attr__("lemon-o", "vc_cqbutton_cq") => 'lemon-o', esc_attr__("level-down", "vc_cqbutton_cq") => 'level-down', esc_attr__("level-up", "vc_cqbutton_cq") => 'level-up', esc_attr__("lightbulb-o", "vc_cqbutton_cq") => 'lightbulb-o', esc_attr__("location-arrow", "vc_cqbutton_cq") => 'location-arrow', esc_attr__("lock", "vc_cqbutton_cq") => 'lock', esc_attr__("magic", "vc_cqbutton_cq") => 'magic', esc_attr__("magnet", "vc_cqbutton_cq") => 'magnet', esc_attr__("mail-forward", "vc_cqbutton_cq") => 'mail-forward', esc_attr__("mail-reply", "vc_cqbutton_cq") => 'mail-reply', esc_attr__("mail-reply-all", "vc_cqbutton_cq") => 'mail-reply-all', esc_attr__("male", "vc_cqbutton_cq") => 'male', esc_attr__("map-marker", "vc_cqbutton_cq") => 'map-marker', esc_attr__("meh-o", "vc_cqbutton_cq") => 'meh-o', esc_attr__("microphone", "vc_cqbutton_cq") => 'microphone', esc_attr__("microphone-slash", "vc_cqbutton_cq") => 'microphone-slash', esc_attr__("minus", "vc_cqbutton_cq") => 'minus', esc_attr__("minus-circle", "vc_cqbutton_cq") => 'minus-circle', esc_attr__("minus-square", "vc_cqbutton_cq") => 'minus-square', esc_attr__("minus-square-o", "vc_cqbutton_cq") => 'minus-square-o', esc_attr__("mobile", "vc_cqbutton_cq") => 'mobile', esc_attr__("mobile-phone", "vc_cqbutton_cq") => 'mobile-phone', esc_attr__("money", "vc_cqbutton_cq") => 'money', esc_attr__("moon-o", "vc_cqbutton_cq") => 'moon-o', esc_attr__("music", "vc_cqbutton_cq") => 'music', esc_attr__("pencil", "vc_cqbutton_cq") => 'pencil', esc_attr__("pencil-square", "vc_cqbutton_cq") => 'pencil-square', esc_attr__("pencil-square-o", "vc_cqbutton_cq") => 'pencil-square-o', esc_attr__("phone", "vc_cqbutton_cq") => 'phone', esc_attr__("phone-square", "vc_cqbutton_cq") => 'phone-square', esc_attr__("picture-o", "vc_cqbutton_cq") => 'picture-o', esc_attr__("plane", "vc_cqbutton_cq") => 'plane', esc_attr__("plus", "vc_cqbutton_cq") => 'plus', esc_attr__("plus-circle", "vc_cqbutton_cq") => 'plus-circle', esc_attr__("plus-square", "vc_cqbutton_cq") => 'plus-square', esc_attr__("plus-square-o", "vc_cqbutton_cq") => 'plus-square-o', esc_attr__("power-off", "vc_cqbutton_cq") => 'power-off', esc_attr__("print", "vc_cqbutton_cq") => 'print', esc_attr__("puzzle-piece", "vc_cqbutton_cq") => 'puzzle-piece', esc_attr__("qrcode", "vc_cqbutton_cq") => 'qrcode', esc_attr__("question", "vc_cqbutton_cq") => 'question', esc_attr__("question-circle", "vc_cqbutton_cq") => 'question-circle', esc_attr__("quote-left", "vc_cqbutton_cq") => 'quote-left', esc_attr__("quote-right", "vc_cqbutton_cq") => 'quote-right', esc_attr__("random", "vc_cqbutton_cq") => 'random', esc_attr__("refresh", "vc_cqbutton_cq") => 'refresh', esc_attr__("reply", "vc_cqbutton_cq") => 'reply', esc_attr__("reply-all", "vc_cqbutton_cq") => 'reply-all', esc_attr__("retweet", "vc_cqbutton_cq") => 'retweet', esc_attr__("road", "vc_cqbutton_cq") => 'road', esc_attr__("rocket", "vc_cqbutton_cq") => 'rocket', esc_attr__("rss", "vc_cqbutton_cq") => 'rss', esc_attr__("rss-square", "vc_cqbutton_cq") => 'rss-square', esc_attr__("search", "vc_cqbutton_cq") => 'search', esc_attr__("search-minus", "vc_cqbutton_cq") => 'search-minus', esc_attr__("search-plus", "vc_cqbutton_cq") => 'search-plus', esc_attr__("share", "vc_cqbutton_cq") => 'share', esc_attr__("share-square", "vc_cqbutton_cq") => 'share-square', esc_attr__("share-square-o", "vc_cqbutton_cq") => 'share-square-o', esc_attr__("shield", "vc_cqbutton_cq") => 'shield', esc_attr__("shopping-cart", "vc_cqbutton_cq") => 'shopping-cart', esc_attr__("sign-in", "vc_cqbutton_cq") => 'sign-in', esc_attr__("sign-out", "vc_cqbutton_cq") => 'sign-out', esc_attr__("signal", "vc_cqbutton_cq") => 'signal', esc_attr__("sitemap", "vc_cqbutton_cq") => 'sitemap', esc_attr__("smile-o", "vc_cqbutton_cq") => 'smile-o', esc_attr__("sort", "vc_cqbutton_cq") => 'sort', esc_attr__("sort-alpha-asc", "vc_cqbutton_cq") => 'sort-alpha-asc', esc_attr__("sort-alpha-desc", "vc_cqbutton_cq") => 'sort-alpha-desc', esc_attr__("sort-amount-asc", "vc_cqbutton_cq") => 'sort-amount-asc', esc_attr__("sort-amount-desc", "vc_cqbutton_cq") => 'sort-amount-desc', esc_attr__("sort-asc", "vc_cqbutton_cq") => 'sort-asc', esc_attr__("sort-desc", "vc_cqbutton_cq") => 'sort-desc', esc_attr__("sort-down", "vc_cqbutton_cq") => 'sort-down', esc_attr__("sort-numeric-asc", "vc_cqbutton_cq") => 'sort-numeric-asc', esc_attr__("sort-numeric-desc", "vc_cqbutton_cq") => 'sort-numeric-desc', esc_attr__("sort-up", "vc_cqbutton_cq") => 'sort-up', esc_attr__("spinner", "vc_cqbutton_cq") => 'spinner', esc_attr__("square", "vc_cqbutton_cq") => 'square', esc_attr__("square-o", "vc_cqbutton_cq") => 'square-o', esc_attr__("star", "vc_cqbutton_cq") => 'star', esc_attr__("star-half", "vc_cqbutton_cq") => 'star-half', esc_attr__("star-half-empty", "vc_cqbutton_cq") => 'star-half-empty', esc_attr__("star-half-full", "vc_cqbutton_cq") => 'star-half-full', esc_attr__("star-half-o", "vc_cqbutton_cq") => 'star-half-o', esc_attr__("star-o", "vc_cqbutton_cq") => 'star-o', esc_attr__("subscript", "vc_cqbutton_cq") => 'subscript', esc_attr__("suitcase", "vc_cqbutton_cq") => 'suitcase', esc_attr__("sun-o", "vc_cqbutton_cq") => 'sun-o', esc_attr__("superscript", "vc_cqbutton_cq") => 'superscript', esc_attr__("tablet", "vc_cqbutton_cq") => 'tablet', esc_attr__("tachometer", "vc_cqbutton_cq") => 'tachometer', esc_attr__("tag", "vc_cqbutton_cq") => 'tag', esc_attr__("tags", "vc_cqbutton_cq") => 'tags', esc_attr__("tasks", "vc_cqbutton_cq") => 'tasks', esc_attr__("terminal", "vc_cqbutton_cq") => 'terminal', esc_attr__("thumb-tack", "vc_cqbutton_cq") => 'thumb-tack', esc_attr__("thumbs-down", "vc_cqbutton_cq") => 'thumbs-down', esc_attr__("thumbs-o-down", "vc_cqbutton_cq") => 'thumbs-o-down', esc_attr__("thumbs-o-up", "vc_cqbutton_cq") => 'thumbs-o-up', esc_attr__("thumbs-up", "vc_cqbutton_cq") => 'thumbs-up', esc_attr__("ticket", "vc_cqbutton_cq") => 'ticket', esc_attr__("times", "vc_cqbutton_cq") => 'times', esc_attr__("times-circle", "vc_cqbutton_cq") => 'times-circle', esc_attr__("times-circle-o", "vc_cqbutton_cq") => 'times-circle-o', esc_attr__("tint", "vc_cqbutton_cq") => 'tint', esc_attr__("toggle-down", "vc_cqbutton_cq") => 'toggle-down', esc_attr__("toggle-left", "vc_cqbutton_cq") => 'toggle-left', esc_attr__("toggle-right", "vc_cqbutton_cq") => 'toggle-right', esc_attr__("toggle-up", "vc_cqbutton_cq") => 'toggle-up', esc_attr__("trash-o", "vc_cqbutton_cq") => 'trash-o', esc_attr__("trophy", "vc_cqbutton_cq") => 'trophy', esc_attr__("truck", "vc_cqbutton_cq") => 'truck', esc_attr__("umbrella", "vc_cqbutton_cq") => 'umbrella', esc_attr__("unlock", "vc_cqbutton_cq") => 'unlock', esc_attr__("unlock-alt", "vc_cqbutton_cq") => 'unlock-alt', esc_attr__("unsorted", "vc_cqbutton_cq") => 'unsorted', esc_attr__("upload", "vc_cqbutton_cq") => 'upload', esc_attr__("user", "vc_cqbutton_cq") => 'user', esc_attr__("users", "vc_cqbutton_cq") => 'users', esc_attr__("video-camera", "vc_cqbutton_cq") => 'video-camera', esc_attr__("volume-down", "vc_cqbutton_cq") => 'volume-down', esc_attr__("volume-off", "vc_cqbutton_cq") => 'volume-off', esc_attr__("volume-up", "vc_cqbutton_cq") => 'volume-up', esc_attr__("warning", "vc_cqbutton_cq") => 'warning', esc_attr__("wheelchair", "vc_cqbutton_cq") => 'wheelchair', esc_attr__("wrench", "vc_cqbutton_cq") => 'wrench', esc_attr__("check-square", "vc_cqbutton_cq") => 'check-square', esc_attr__("check-square-o", "vc_cqbutton_cq") => 'check-square-o', esc_attr__("circle", "vc_cqbutton_cq") => 'circle', esc_attr__("circle-o", "vc_cqbutton_cq") => 'circle-o', esc_attr__("dot-circle-o", "vc_cqbutton_cq") => 'dot-circle-o', esc_attr__("minus-square", "vc_cqbutton_cq") => 'minus-square', esc_attr__("minus-square-o", "vc_cqbutton_cq") => 'minus-square-o', esc_attr__("plus-square", "vc_cqbutton_cq") => 'plus-square', esc_attr__("plus-square-o", "vc_cqbutton_cq") => 'plus-square-o', esc_attr__("square", "vc_cqbutton_cq") => 'square', esc_attr__("square-o", "vc_cqbutton_cq") => 'square-o', esc_attr__("bitcoin", "vc_cqbutton_cq") => 'bitcoin', esc_attr__("btc", "vc_cqbutton_cq") => 'btc', esc_attr__("cny", "vc_cqbutton_cq") => 'cny', esc_attr__("dollar", "vc_cqbutton_cq") => 'dollar', esc_attr__("eur", "vc_cqbutton_cq") => 'eur', esc_attr__("euro", "vc_cqbutton_cq") => 'euro', esc_attr__("gbp", "vc_cqbutton_cq") => 'gbp', esc_attr__("inr", "vc_cqbutton_cq") => 'inr', esc_attr__("jpy", "vc_cqbutton_cq") => 'jpy', esc_attr__("krw", "vc_cqbutton_cq") => 'krw', esc_attr__("money", "vc_cqbutton_cq") => 'money', esc_attr__("rmb", "vc_cqbutton_cq") => 'rmb', esc_attr__("rouble", "vc_cqbutton_cq") => 'rouble', esc_attr__("rub", "vc_cqbutton_cq") => 'rub', esc_attr__("ruble", "vc_cqbutton_cq") => 'ruble', esc_attr__("rupee", "vc_cqbutton_cq") => 'rupee', esc_attr__("try", "vc_cqbutton_cq") => 'try', esc_attr__("turkish-lira", "vc_cqbutton_cq") => 'turkish-lira', esc_attr__("usd", "vc_cqbutton_cq") => 'usd', esc_attr__("won", "vc_cqbutton_cq") => 'won', esc_attr__("yen", "vc_cqbutton_cq") => 'yen', esc_attr__("align-center", "vc_cqbutton_cq") => 'align-center', esc_attr__("align-justify", "vc_cqbutton_cq") => 'align-justify', esc_attr__("align-left", "vc_cqbutton_cq") => 'align-left', esc_attr__("align-right", "vc_cqbutton_cq") => 'align-right', esc_attr__("bold", "vc_cqbutton_cq") => 'bold', esc_attr__("chain", "vc_cqbutton_cq") => 'chain', esc_attr__("chain-broken", "vc_cqbutton_cq") => 'chain-broken', esc_attr__("clipboard", "vc_cqbutton_cq") => 'clipboard', esc_attr__("columns", "vc_cqbutton_cq") => 'columns', esc_attr__("copy", "vc_cqbutton_cq") => 'copy', esc_attr__("cut", "vc_cqbutton_cq") => 'cut', esc_attr__("dedent", "vc_cqbutton_cq") => 'dedent', esc_attr__("eraser", "vc_cqbutton_cq") => 'eraser', esc_attr__("file", "vc_cqbutton_cq") => 'file', esc_attr__("file-o", "vc_cqbutton_cq") => 'file-o', esc_attr__("file-text", "vc_cqbutton_cq") => 'file-text', esc_attr__("file-text-o", "vc_cqbutton_cq") => 'file-text-o', esc_attr__("files-o", "vc_cqbutton_cq") => 'files-o', esc_attr__("floppy-o", "vc_cqbutton_cq") => 'floppy-o', esc_attr__("font", "vc_cqbutton_cq") => 'font', esc_attr__("indent", "vc_cqbutton_cq") => 'indent', esc_attr__("italic", "vc_cqbutton_cq") => 'italic', esc_attr__("link", "vc_cqbutton_cq") => 'link', esc_attr__("list", "vc_cqbutton_cq") => 'list', esc_attr__("list-alt", "vc_cqbutton_cq") => 'list-alt', esc_attr__("list-ol", "vc_cqbutton_cq") => 'list-ol', esc_attr__("list-ul", "vc_cqbutton_cq") => 'list-ul', esc_attr__("outdent", "vc_cqbutton_cq") => 'outdent', esc_attr__("paperclip", "vc_cqbutton_cq") => 'paperclip', esc_attr__("paste", "vc_cqbutton_cq") => 'paste', esc_attr__("repeat", "vc_cqbutton_cq") => 'repeat', esc_attr__("rotate-left", "vc_cqbutton_cq") => 'rotate-left', esc_attr__("rotate-right", "vc_cqbutton_cq") => 'rotate-right', esc_attr__("save", "vc_cqbutton_cq") => 'save', esc_attr__("scissors", "vc_cqbutton_cq") => 'scissors', esc_attr__("strikethrough", "vc_cqbutton_cq") => 'strikethrough', esc_attr__("table", "vc_cqbutton_cq") => 'table', esc_attr__("text-height", "vc_cqbutton_cq") => 'text-height', esc_attr__("text-width", "vc_cqbutton_cq") => 'text-width', esc_attr__("th", "vc_cqbutton_cq") => 'th', esc_attr__("th-large", "vc_cqbutton_cq") => 'th-large', esc_attr__("th-list", "vc_cqbutton_cq") => 'th-list', esc_attr__("underline", "vc_cqbutton_cq") => 'underline', esc_attr__("undo", "vc_cqbutton_cq") => 'undo', esc_attr__("unlink", "vc_cqbutton_cq") => 'unlink', esc_attr__("angle-double-down", "vc_cqbutton_cq") => 'angle-double-down', esc_attr__("angle-double-left", "vc_cqbutton_cq") => 'angle-double-left', esc_attr__("angle-double-right", "vc_cqbutton_cq") => 'angle-double-right', esc_attr__("angle-double-up", "vc_cqbutton_cq") => 'angle-double-up', esc_attr__("angle-down", "vc_cqbutton_cq") => 'angle-down', esc_attr__("angle-left", "vc_cqbutton_cq") => 'angle-left', esc_attr__("angle-right", "vc_cqbutton_cq") => 'angle-right', esc_attr__("angle-up", "vc_cqbutton_cq") => 'angle-up', esc_attr__("arrow-circle-down", "vc_cqbutton_cq") => 'arrow-circle-down', esc_attr__("arrow-circle-left", "vc_cqbutton_cq") => 'arrow-circle-left', esc_attr__("arrow-circle-o-down", "vc_cqbutton_cq") => 'arrow-circle-o-down', esc_attr__("arrow-circle-o-left", "vc_cqbutton_cq") => 'arrow-circle-o-left', esc_attr__("arrow-circle-o-right", "vc_cqbutton_cq") => 'arrow-circle-o-right', esc_attr__("arrow-circle-o-up", "vc_cqbutton_cq") => 'arrow-circle-o-up', esc_attr__("arrow-circle-right", "vc_cqbutton_cq") => 'arrow-circle-right', esc_attr__("arrow-circle-up", "vc_cqbutton_cq") => 'arrow-circle-up', esc_attr__("arrow-down", "vc_cqbutton_cq") => 'arrow-down', esc_attr__("arrow-left", "vc_cqbutton_cq") => 'arrow-left', esc_attr__("arrow-right", "vc_cqbutton_cq") => 'arrow-right', esc_attr__("arrow-up", "vc_cqbutton_cq") => 'arrow-up', esc_attr__("arrows", "vc_cqbutton_cq") => 'arrows', esc_attr__("arrows-alt", "vc_cqbutton_cq") => 'arrows-alt', esc_attr__("arrows-h", "vc_cqbutton_cq") => 'arrows-h', esc_attr__("arrows-v", "vc_cqbutton_cq") => 'arrows-v', esc_attr__("caret-down", "vc_cqbutton_cq") => 'caret-down', esc_attr__("caret-left", "vc_cqbutton_cq") => 'caret-left', esc_attr__("caret-right", "vc_cqbutton_cq") => 'caret-right', esc_attr__("caret-square-o-down", "vc_cqbutton_cq") => 'caret-square-o-down', esc_attr__("caret-square-o-left", "vc_cqbutton_cq") => 'caret-square-o-left', esc_attr__("caret-square-o-right", "vc_cqbutton_cq") => 'caret-square-o-right', esc_attr__("caret-square-o-up", "vc_cqbutton_cq") => 'caret-square-o-up', esc_attr__("caret-up", "vc_cqbutton_cq") => 'caret-up', esc_attr__("chevron-circle-down", "vc_cqbutton_cq") => 'chevron-circle-down', esc_attr__("chevron-circle-left", "vc_cqbutton_cq") => 'chevron-circle-left', esc_attr__("chevron-circle-right", "vc_cqbutton_cq") => 'chevron-circle-right', esc_attr__("chevron-circle-up", "vc_cqbutton_cq") => 'chevron-circle-up', esc_attr__("chevron-down", "vc_cqbutton_cq") => 'chevron-down', esc_attr__("chevron-left", "vc_cqbutton_cq") => 'chevron-left', esc_attr__("chevron-right", "vc_cqbutton_cq") => 'chevron-right', esc_attr__("chevron-up", "vc_cqbutton_cq") => 'chevron-up', esc_attr__("hand-o-down", "vc_cqbutton_cq") => 'hand-o-down', esc_attr__("hand-o-left", "vc_cqbutton_cq") => 'hand-o-left', esc_attr__("hand-o-right", "vc_cqbutton_cq") => 'hand-o-right', esc_attr__("hand-o-up", "vc_cqbutton_cq") => 'hand-o-up', esc_attr__("long-arrow-down", "vc_cqbutton_cq") => 'long-arrow-down', esc_attr__("long-arrow-left", "vc_cqbutton_cq") => 'long-arrow-left', esc_attr__("long-arrow-right", "vc_cqbutton_cq") => 'long-arrow-right', esc_attr__("long-arrow-up", "vc_cqbutton_cq") => 'long-arrow-up', esc_attr__("toggle-down", "vc_cqbutton_cq") => 'toggle-down', esc_attr__("toggle-left", "vc_cqbutton_cq") => 'toggle-left', esc_attr__("toggle-right", "vc_cqbutton_cq") => 'toggle-right', esc_attr__("toggle-up", "vc_cqbutton_cq") => 'toggle-up', esc_attr__("arrows-alt", "vc_cqbutton_cq") => 'arrows-alt', esc_attr__("backward", "vc_cqbutton_cq") => 'backward', esc_attr__("compress", "vc_cqbutton_cq") => 'compress', esc_attr__("eject", "vc_cqbutton_cq") => 'eject', esc_attr__("expand", "vc_cqbutton_cq") => 'expand', esc_attr__("fast-backward", "vc_cqbutton_cq") => 'fast-backward', esc_attr__("fast-forward", "vc_cqbutton_cq") => 'fast-forward', esc_attr__("forward", "vc_cqbutton_cq") => 'forward', esc_attr__("pause", "vc_cqbutton_cq") => 'pause', esc_attr__("play", "vc_cqbutton_cq") => 'play', esc_attr__("play-circle", "vc_cqbutton_cq") => 'play-circle', esc_attr__("play-circle-o", "vc_cqbutton_cq") => 'play-circle-o', esc_attr__("step-backward", "vc_cqbutton_cq") => 'step-backward', esc_attr__("step-forward", "vc_cqbutton_cq") => 'step-forward', esc_attr__("stop", "vc_cqbutton_cq") => 'stop', esc_attr__("youtube-play", "vc_cqbutton_cq") => 'youtube-play', esc_attr__("adn", "vc_cqbutton_cq") => 'adn', esc_attr__("android", "vc_cqbutton_cq") => 'android', esc_attr__("apple", "vc_cqbutton_cq") => 'apple', esc_attr__("bitbucket", "vc_cqbutton_cq") => 'bitbucket', esc_attr__("bitbucket-square", "vc_cqbutton_cq") => 'bitbucket-square', esc_attr__("bitcoin", "vc_cqbutton_cq") => 'bitcoin', esc_attr__("btc", "vc_cqbutton_cq") => 'btc', esc_attr__("css3", "vc_cqbutton_cq") => 'css3', esc_attr__("dribbble", "vc_cqbutton_cq") => 'dribbble', esc_attr__("dropbox", "vc_cqbutton_cq") => 'dropbox', esc_attr__("facebook", "vc_cqbutton_cq") => 'facebook', esc_attr__("facebook-square", "vc_cqbutton_cq") => 'facebook-square', esc_attr__("flickr", "vc_cqbutton_cq") => 'flickr', esc_attr__("foursquare", "vc_cqbutton_cq") => 'foursquare', esc_attr__("github", "vc_cqbutton_cq") => 'github', esc_attr__("github-alt", "vc_cqbutton_cq") => 'github-alt', esc_attr__("github-square", "vc_cqbutton_cq") => 'github-square', esc_attr__("gittip", "vc_cqbutton_cq") => 'gittip', esc_attr__("google-plus", "vc_cqbutton_cq") => 'google-plus', esc_attr__("google-plus-square", "vc_cqbutton_cq") => 'google-plus-square', esc_attr__("html5", "vc_cqbutton_cq") => 'html5', esc_attr__("instagram", "vc_cqbutton_cq") => 'instagram', esc_attr__("linkedin", "vc_cqbutton_cq") => 'linkedin', esc_attr__("linkedin-square", "vc_cqbutton_cq") => 'linkedin-square', esc_attr__("linux", "vc_cqbutton_cq") => 'linux', esc_attr__("maxcdn", "vc_cqbutton_cq") => 'maxcdn', esc_attr__("pagelines", "vc_cqbutton_cq") => 'pagelines', esc_attr__("pinterest", "vc_cqbutton_cq") => 'pinterest', esc_attr__("pinterest-square", "vc_cqbutton_cq") => 'pinterest-square', esc_attr__("renren", "vc_cqbutton_cq") => 'renren', esc_attr__("skype", "vc_cqbutton_cq") => 'skype', esc_attr__("stack-exchange", "vc_cqbutton_cq") => 'stack-exchange', esc_attr__("stack-overflow", "vc_cqbutton_cq") => 'stack-overflow', esc_attr__("trello", "vc_cqbutton_cq") => 'trello', esc_attr__("tumblr", "vc_cqbutton_cq") => 'tumblr', esc_attr__("tumblr-square", "vc_cqbutton_cq") => 'tumblr-square', esc_attr__("twitter", "vc_cqbutton_cq") => 'twitter', esc_attr__("twitter-square", "vc_cqbutton_cq") => 'twitter-square', esc_attr__("vimeo-square", "vc_cqbutton_cq") => 'vimeo-square', esc_attr__("vk", "vc_cqbutton_cq") => 'vk', esc_attr__("weibo", "vc_cqbutton_cq") => 'weibo', esc_attr__("windows", "vc_cqbutton_cq") => 'windows', esc_attr__("xing", "vc_cqbutton_cq") => 'xing', esc_attr__("xing-square", "vc_cqbutton_cq") => 'xing-square', esc_attr__("youtube", "vc_cqbutton_cq") => 'youtube', esc_attr__("youtube-play", "vc_cqbutton_cq") => 'youtube-play', esc_attr__("youtube-square", "vc_cqbutton_cq") => 'youtube-square', esc_attr__("ambulance", "vc_cqbutton_cq") => 'ambulance', esc_attr__("h-square", "vc_cqbutton_cq") => 'h-square', esc_attr__("hospital-o", "vc_cqbutton_cq") => 'hospital-o', esc_attr__("medkit", "vc_cqbutton_cq") => 'medkit', esc_attr__("plus-square", "vc_cqbutton_cq") => 'plus-square', esc_attr__("stethoscope", "vc_cqbutton_cq") => 'stethoscope', esc_attr__("user-md", "vc_cqbutton_cq") => 'user-md', esc_attr__("wheelchair", "vc_cqbutton_cq") => 'wheelchair')
              ),
              array(
                "type" => "checkbox",
                "holder" => "",
                "class" => "vc_cqbutton_cq",
                "heading" => esc_attr__("Put the icon on the left?", 'vc_cqbutton_cq'),
                "param_name" => "iconposition",
                "value" => array(esc_attr__("Yes", "vc_cqbutton_cq") => 'left'),
                "description" => esc_attr__("You can check this if you want to display icon on the left, it is on the right by default.", 'vc_cqbutton_cq')
              ),
              array(
                "type" => "dropdown",
                "holder" => "",
                "class" => "vc_cqbutton_cq",
                "heading" => esc_attr__("Transition style of the icon button", "vc_cqbutton_cq"),
                "param_name" => "animationstyle",
                "value" => array(esc_attr__("animation 1", "vc_cqbutton_cq") => "animatetype-1", esc_attr__("animation 2", "vc_cqbutton_cq") => "animatetype-2", esc_attr__("animation 3", "vc_cqbutton_cq") => "animatetype-3", esc_attr__("animation 4 (pulse)", "vc_cqbutton_cq") => "animatetype-4"),
                "description" => esc_attr__("", "vc_cqbutton_cq")
              ),
              array(
                "type" => "textfield",
                "heading" => esc_attr__("margin-top of the icon", "vc_cqbutton_cq"),
                "param_name" => "icontop",
                "value" => "-9px",
                "description" => esc_attr__("Sometimes you have to change the margin-top offset of the icon, default is -9px.", "vc_cqbutton_cq")
              ),
              array(
                "type" => "textfield",
                "heading" => esc_attr__("margin-left of the icon", "vc_cqbutton_cq"),
                "param_name" => "iconleft",
                "value" => "-9px",
                "description" => esc_attr__("Sometimes you have to change the margin-left offset of the icon, default is -9px.", "vc_cqbutton_cq")
              ),
              array(
                "type" => "colorpicker",
                "holder" => "div",
                "class" => "",
                "heading" => esc_attr__("Button text color", 'vc_cqbutton_cq'),
                "param_name" => "buttoncolor",
                "value" => '',
                "description" => esc_attr__("Default is white, choose other color as you like.", 'vc_cqbutton_cq')
              ),
              array(
                "type" => "dropdown",
                "holder" => "",
                "class" => "vc_cqbutton_cq",
                "heading" => esc_attr__("Color of the icon button", "vc_cqbutton_cq"),
                "param_name" => "iconbuttoncolor",
                "value" => array(esc_attr__("orange", "vc_cqbutton_cq") => "cqbtn-1", esc_attr__("blue", "vc_cqbutton_cq") => "cqbtn-2", esc_attr__("gray", "vc_cqbutton_cq") => "cqbtn-3", esc_attr__("purple", "vc_cqbutton_cq") => "cqbtn-4"),
                "description" => esc_attr__("Select the background color for the button, or you can use the color picker below to choose one.", "vc_cqbutton_cq")
              ),
              array(
                "type" => "colorpicker",
                "holder" => "div",
                "class" => "",
                "heading" => esc_attr__("Button background color", 'vc_cqbutton_cq'),
                "param_name" => "buttonbackground",
                "value" => '',
                "description" => esc_attr__("Choose the background color for the button.", 'vc_cqbutton_cq')
              ),
              array(
                "type" => "textfield",
                "heading" => esc_attr__("Extra class name for the container", "vc_cqbutton_cq"),
                "param_name" => "extra_class",
                "description" => esc_attr__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "vc_cqbutton_cq")
              )

            )
        ));

        add_shortcode('cq_vc_cqbutton', array($this,'cq_vc_cqbutton_func'));

      }

      function cq_vc_cqbutton_func($atts, $content=null, $tag=null) {
          extract( shortcode_atts( array(
            'buttonlabel' => 'Button Text',
            'link' => '',
            'buttoncolor' => '',
            'buttonbackground' => '',
            'containerwidth' => '',
            'animationstyle' => 'animatetype-1',
            'iconbuttoncolor' => 'cqbtn-1',
            'iconposition' => '',
            'icon' => 'arrow-right',
            'icontop' => '-9px',
            'iconleft' => '-9px',
            'mobilewidth' => '',
            'extra_class' => ''
          ), $atts ) );

          wp_register_style( 'vc_cqbutton_cq_style', plugins_url('css/style.css', __FILE__));
          wp_enqueue_style( 'vc_cqbutton_cq_style' );

          wp_register_style( 'font-awesome', plugins_url('../faanimation/css/font-awesome.min.css', __FILE__) );
          wp_enqueue_style( 'font-awesome' );

          $content = wpb_js_remove_wpautop($content); // fix unclosed/unwanted paragraph tags in $content
          $output = '';
          $link = vc_build_link($link);
          $output .= '<div class="cq-buttoncontainer '.$iconposition.' '.$extra_class.'">';
          $output .= '<div class="'.$animationstyle.'">';
          $output .= '<div>';
          $output .= '<a href="'.$link['url'].'" title="'.$link['title'].'" target="'.$link['target'].'" style="color:'.$buttoncolor.';background-color:'.$buttonbackground.';" class="btn '.$iconbuttoncolor.'">';
          $output .= '<span class="txt">'.$buttonlabel.'</span>';
          $output .= '<span class="round"><i style="margin-top:'.$icontop.';margin-left:'.$iconleft.';" class="fa fa-'.$icon.'"></i></span>';
          $output .= '</a>';
          $output .= '</div>';
          $output .= '</div>';
          $output .= '</div>';


          return $output;

        }


  }

}

?>
